Skip to main content
POST
Send timeseries for a device

Authorizations

Authorization
string
header
required

Paste an access token from Create an access token. Tokens expire, so request a new one if you receive 401.

Path Parameters

buildingId
string
required

Building identifier from List buildings.

datasourceId
string
required

Data source identifier from List building data sources.

deviceId
string
required

Device identifier.

Body

application/json
id
string
required

Point identifier.

Example:

"supply-air-temp"

timestamp
integer<int64>
required

Unix epoch time. 0 uses the current time.

Example:

1759840200

value

Point value.

Example:

55.4

status
enum<string>
Available options:
ok,
disabled,
fault,
down,
no_value
Example:

"ok"

Response

Values accepted.

message
string
Example:

"OK"

status
string
Example:

"OK"